跳到内容
Esc
↑↓导航↵打开⌘J预览

Update a label

PATCH/inboxes/{inbox_id}/labels/{label_id}
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
inbox_idstring必填

The inbox ID or its email address, such as support@example.com

label_idstring<uuid>必填

The label ID

请求体
application/json
namestring
colorstring
响应
200

Label updated

idstring<uuid>必填
namestring必填
colorstring必填

Uppercase #RRGGBB

created_atstring必填
objectstring必填
允许值:inbox_label
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Not found

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error or a duplicate name

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求体application/json
请求
curl -X PATCH 'https://api.billionsend.com/inboxes/string/labels/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
响应
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "color": "string",
  "created_at": "string",
  "object": "inbox_label"
}

这个页面有帮助吗?